## solfege-1.0.0.tar.gz

=== debian/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - eartraining for GNOME
# Copyright (C) 2000-2001  Tom Cato Amundsen
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


depth = ..
name = debian

include $(depth)/Makefile.inc

dist_files = $(filter-out CVS, $(wildcard *))

install:
uninstall:
clean:
distclean:

=== feta/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - eartraining for GNOME
# Copyright (C) 2000-2001  Tom Cato Amundsen
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


depth = ..
name = feta

include $(depth)/Makefile.inc

data-installfiles = $(wildcard *.xpm)
dist_files = Makefile $(data-installfiles)

install: data-install

uninstall: data-uninstall

clean:
distclean:

=== gnomeemu/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - eartraining for GNOME
# Copyright (C) 2000-2001  Tom Cato Amundsen
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

depth = ..
name = gnomeemu
SUBDIRS = gnome xpm

include $(depth)/Makefile.inc
dist_files = Makefile

all:
	$(LOOP)
	
clean:
	$(LOOP)
	
distclean:
	$(LOOP)
	
install:
	$(LOOP)

uninstall:
	$(LOOP)
	rmdir $(datadir)/$(PACKAGE)/$(VERSION)/$(name) || true
	rmdir $(datadir)/$(PACKAGE)/$(VERSION) || true

=== lesson-files/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - eartraining for GNOME
# Copyright (C) 2000-2001  Tom Cato Amundsen
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


depth = ..
name = lesson-files

include $(depth)/Makefile.inc

data-installfiles = $(filter-out Makefile CVS,$(wildcard *))
dist_files = Makefile $(data-installfiles)

install: data-install

uninstall: data-uninstall

clean:
distclean:

=== mpd/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - eartraining for GNOME
# Copyright (C) 2000-2001  Tom Cato Amundsen
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


depth = ..
name = mpd

include $(depth)/Makefile.inc

python-installfiles = $(wildcard *.py)
dist_files = Makefile $(python-installfiles)

install: python-install
uninstall: python-uninstall
distclean: clean
clean:
	rm -f *.pyc *.pyo

=== online-docs/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - eartraining for GNOME
# Copyright (C) 2000-2001  Tom Cato Amundsen
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


depth = ..
name = online-docs
SUBDIRS=C no png

include $(depth)/Makefile.inc

all:
	$(LOOP)

dist_files = Makefile

clean:
	$(LOOP)

distclean:
	$(LOOP)

install:
	$(LOOP)

uninstall:
	$(LOOP)
	rmdir $(datadir)/$(PACKAGE)/$(VERSION)/$(name) || true
	rmdir $(datadir)/$(PACKAGE)/$(VERSION) || true

=== po/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - eartraining for GNOME
# Copyright (C) 2000-2001  Tom Cato Amundsen
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


depth = ..
name = po
include $(depth)/Makefile.inc

dist_files = Makefile $(wildcard *.po *.mo *.pot)

LANGUAGES=no de it fr

all:
	# .po -> .mo
	for lang in $(LANGUAGES); do \
	  msgfmt $$lang.po -o $$lang.mo; \
	  msgfmt $(PACKAGE)-intervallnames-$$lang.po -o $(PACKAGE)-intervallnames-$$lang.mo; \
	done
	$(MAKE) run-from-srcdir

po-update: all # solfege.po -> .po
	for lang in $(LANGUAGES); do \
	  cp $$lang.po tmpfile; \
	  msgmerge tmpfile $(PACKAGE).po > $$lang.po; \
	  cp $(PACKAGE)-intervallnames-$$lang.po tmpfile;\
	  msgmerge tmpfile $(PACKAGE)-intervallnames.pot > $(PACKAGE)-intervallnames-$$lang.po; \
	done
	rm tmpfile

run-from-srcdir:
	# we to this just to make life simpler when running from source dir
	for lang in $(LANGUAGES); do \
	  mkdir $(depth)/share/locale/$$lang/LC_MESSAGES -p; \
	  cp $$lang.mo $(depth)/share/locale/$$lang/LC_MESSAGES/$(PACKAGE).mo; \
	  cp $(PACKAGE)-intervallnames-$$lang.mo $(depth)/share/locale/$$lang/LC_MESSAGES/$(PACKAGE)-intervallnames.mo; \
	done

install: mkinstalldirs
	for lang in $(LANGUAGES); do \
	  $(INSTALL_DATA) $$lang.mo $(datadir)/locale/$$lang/LC_MESSAGES/$(PACKAGE).mo; \
	  $(INSTALL_DATA) $(PACKAGE)-intervallnames-$$lang.mo $(datadir)/locale/$$lang/LC_MESSAGES/$(PACKAGE)-intervallnames.mo; \
	done

uninstall:
	for lang in $(LANGUAGES); do \
	  rm -f $(datadir)/locale/$$lang/LC_MESSAGES/$(PACKAGE).mo; \
	  rm -f $(datadir)/locale/$$lang/LC_MESSAGES/$(PACKAGE)-intervallnames.mo; \
	done

mkinstalldirs:
	for lang in $(LANGUAGES); do \
	  mkdir -p $(datadir)/locale/$$lang/LC_MESSAGES; \
	done

clean:
	rm -f *.mo *~

distclean: clean

=== rpm/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - eartraining for GNOME
# Copyright (C) 2000-2001  Tom Cato Amundsen
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


depth = ..
name = rpm

include $(depth)/Makefile.inc

# we include files.list because I don't bother debug what's going on when
# builing rpm package
dist_files = Makefile create_fileslist.py solfege.spec.in files.list

install:
uninstall:
clean:
distclean:

=== soundcard/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - eartraining for GNOME
# Copyright (C) 2000-2001  Tom Cato Amundsen
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


depth = ..
name = soundcard

include $(depth)/Makefile.inc

python-installfiles = $(wildcard *.py)
dist_files = Makefile config.h.in $(python-installfiles) $(wildcard *.c *.i)

CFLAGS:=$(CFLAGS) -I/usr/src/linux/include -Wall -pedantic -fPIC
CC=gcc $(CFLAGS)

ifeq ($(ENABLE_OSS_SOUND),yes)
all: solfege_c_midimodule.so
else
all:
endif


solfege_c_midimodule.so: macro_to_function.o solfege_c_midi.o \
                         solfege_c_midi_wrap.o
	$(CC) -fPIC -shared macro_to_function.o solfege_c_midi.o \
                  solfege_c_midi_wrap.o -o solfege_c_midimodule.so -lc 

solfege_c_midi_wrap.o: solfege_c_midi_wrap.c solfege_c_midi.i
	$(CC) $(CFLAGS) -c solfege_c_midi_wrap.c -I$(PYTHON_PREFIX)/include/python$(PYTHON_VERSION)

solfege_c_midi_wrap.c: solfege_c_midi.c macro_to_function.c solfege_c_midi.i
ifeq ($(HAVE_LINUX_AWE_VOICE_H),yes)
	swig -python -DHAVE_LINUX_AWE_VOICE_H solfege_c_midi.i 
else
	swig -python solfege_c_midi.i
endif

install: python-install
ifeq ($(ENABLE_OSS_SOUND),yes)
	mkdir -p $(libdir)/$(PACKAGE)/$(VERSION)
	$(INSTALL_DATA) solfege_c_midimodule.so $(libdir)/$(PACKAGE)/$(VERSION)/
endif

uninstall: python-uninstall
	rm -f $(libdir)/$(PACKAGE)/$(VERSION)/solfege_c_midimodule.so
	rmdir $(libdir)/$(PACKAGE)/$(VERSION) || true
	rmdir $(libdir)/$(PACKAGE) || true

clean:
	rm -f *.pyc *.pyo *.o *.so *~

distclean: clean
	rm -f config.h
	rm -f solfege_c_midi_wrap.*

=== src/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - eartraining for GNOME
# Copyright (C) 2000-2001  Tom Cato Amundsen
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


depth = ..
name = src

include $(depth)/Makefile.inc

python-installfiles = $(wildcard *.py)
dist_files = Makefile configureoutput.py.in $(filter-out configureoutput.py, $(python-installfiles))

install: python-install
uninstall: python-uninstall
distclean: clean
	rm configureoutput.py
clean:
	rm -f *.pyc *.pyo

=== test/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - eartraining for GNOME
# Copyright (C) 2000-2001  Tom Cato Amundsen
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


depth = ..
name = test

include $(depth)/Makefile.inc

dist_files = Makefile README $(wildcard *.c *.py)

install:
uninstall:
clean:
distclean:

=== tools/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - eartraining for GNOME
# Copyright (C) 2000-2001  Tom Cato Amundsen
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


depth = ..
name = tools

include $(depth)/Makefile.inc

dist_files = Makefile $(wildcard *.py *.c)

install:
uninstall:
clean:
distclean:

=== debian/changelog ===
solfege (1.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Tom Cato Amundsen <tca@debian.org>  Thu, 29 Mar 2001 23:44:23 +0200

solfege (0.7.38-1) unstable; urgency=low

  * New upstream release.

 -- Tom Cato Amundsen <tca@debian.org>  Thu, 15 Mar 2001 23:15:08 +0100

solfege (0.7.35-1) unstable; urgency=low

  * New upstream release.
  * Debian package for m68k is configure with --disable-oss-sound
  until the binutils bugs are fixed.

 -- Tom Cato Amundsen <tca@debian.org>  Mon,  5 Mar 2001 18:02:48 +0100

solfege (0.7.33-1) unstable; urgency=medium

  * New upstream release. Bugfixes.

 -- Tom Cato Amundsen <tca@debian.org>  Wed, 28 Feb 2001 12:25:08 +0100

solfege (0.7.32-1) unstable; urgency=low

  * New upstream release.

 -- Tom Cato Amundsen <tca@debian.org>  Mon, 26 Feb 2001 00:26:51 +0100

solfege (0.7.31-1) unstable; urgency=low

  * New upstream release. Mostly bugfixes.
  * Standards-Version: 3.5.1.0

 -- Tom Cato Amundsen <tca@debian.org>  Fri, 23 Feb 2001 19:21:58 +0100

solfege (0.7.30-1) unstable; urgency=low

  * New upstream release.

 -- Tom Cato Amundsen <tca@debian.org>  Tue, 20 Feb 2001 22:41:53 +0100

solfege (0.7.29-1) unstable; urgency=low

  * New upstream release

 -- Tom Cato Amundsen <tca@debian.org>  Fri,  2 Feb 2001 22:51:24 +0100

solfege (0.7.28-2) unstable; urgency=low

  * Added python-gnome to build-depends (closes: #84367)

 -- Tom Cato Amundsen <tca@debian.org>  Thu,  1 Feb 2001 21:04:53 +0100

solfege (0.7.28-1) unstable; urgency=low

  * New upstream release

 -- Tom Cato Amundsen <tca@debian.org>  Sun, 21 Jan 2001 22:21:29 +0100

solfege (0.7.27-1) unstable; urgency=low

  * New upsteam release

 -- Tom Cato Amundsen <tca@debian.org>  Sat,  9 Dec 2000 18:05:42 +0100

solfege (0.7.26-2) unstable; urgency=low

  * Don't import gtkhtml unless the user want to use it (closes: #77306) 

 -- Tom Cato Amundsen <tca@debian.org>  Sat, 18 Nov 2000 02:49:48 +0100

solfege (0.7.26-1) unstable; urgency=low

  * New development release

 -- Tom Cato Amundsen <tca@debian.org>  Fri, 10 Nov 2000 22:39:35 +0100

solfege (0.7.25-1) unstable; urgency=low

  * New development release 

 -- Tom Cato Amundsen <tca@debian.org>  Wed,  8 Nov 2000 22:14:32 +0100

solfege (0.7.24-1) unstable; urgency=low

  * New development release, only minor fixes. 

 -- Tom Cato Amundsen <tca@gnu.org>  Sat, 14 Oct 2000 00:33:58 +0200

solfege (0.7.23-1) unstable; urgency=low

  * New development release, only minor fixes.

 -- Tom Cato Amundsen <tca@gnu.org>  Thu, 28 Sep 2000 21:51:20 +0200

solfege (0.7.22-1) unstable; urgency=low

  * New development release, fixing problem with music displayer
  when using gtk-themes.

 -- Tom Cato Amundsen <tca@gnu.org>  Wed, 27 Sep 2000 23:59:01 +0200

solfege (0.7.21-1) unstable; urgency=low

  * New development release

 -- Tom Cato Amundsen <tca@gnu.org>  Sun, 10 Sep 2000 16:45:17 +0200

solfege (0.7.20-1) unstable; urgency=low

  * New development release

 -- Tom Cato Amundsen <tca@gnu.org>  Fri, 25 Aug 2000 01:44:05 +0200

solfege (0.7.19-1) unstable; urgency=low

  * New development release 

 -- Tom Cato Amundsen <tca@gnu.org>  Mon, 21 Aug 2000 21:30:16 +0200

solfege (0.7.18-1) unstable; urgency=low

  * Small update to 0.7.17

 -- Tom Cato Amundsen <tca@gnu.org>  Sat,  5 Aug 2000 15:12:17 +0200

solfege (0.7.17-1) unstable; urgency=low

  * New development release 

 -- Tom Cato Amundsen <tca@gnu.org>  Fri,  4 Aug 2000 17:33:55 +0200

solfege (0.7.16-1) unstable; urgency=low

  * New development release

 -- Tom Cato Amundsen <tomcato@iname.com>  Tue, 25 Jul 2000 00:11:58 +0200

solfege (0.7.15-1) unstable; urgency=low

  * New development release

 -- Tom Cato Amundsen <tomcato@iname.com>  Sat,  1 Jul 2000 15:48:17 +0200

solfege (0.7.10-2.1) unstable; urgency=low

  * NMU with consent by maintainer Tom Cato Amundsen because his sponser is
    currently abroad.
  * Added build dependency on python-dev (closes: #65870).

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Tue, 27 Jun 2000 11:43:12 +0200
 

solfege (0.7.14-1) unstable; urgency=low

  * New development release
  * Added Build-Depends: python-dev. This was included in a source NMU
  to 0.7.10 to close #65870

 -- Tom Cato Amundsen <tomcato@iname.com>  Mon, 26 Jun 2000 22:58:48 +0200

solfege (0.7.13-1) unstable; urgency=low

  * New development release 

 -- Tom Cato Amundsen <tomcato@iname.com>  Sun,  4 Jun 2000 17:24:09 +0200

solfege (0.7.12-1) unstable; urgency=low

  * Sorry, 0.7.11 was useless 

 -- Tom Cato Amundsen <tomcato@iname.com>  Mon, 29 May 2000 23:44:14 +0200

solfege (0.7.11-1) unstable; urgency=low

  * New development release
  * No longer Depend on debconf since it is not used any more

 -- Tom Cato Amundsen <tomcato@iname.com>  Mon, 29 May 2000 22:39:35 +0200

solfege (0.7.10-1) unstable; urgency=low

  * New development release

 -- Tom Cato Amundsen <tomcato@iname.com>  Thu,  4 May 2000 22:12:22 +0200

solfege (0.7.9-1) unstable; urgency=low

  * New development release

 -- Tom Cato Amundsen <tomcato@iname.com>  Sat, 29 Apr 2000 12:14:38 +0200

solfege (0.7.8-1) unstable; urgency=low

  * New development release

 -- Tom Cato Amundsen <tomcato@iname.com>  Sun,  9 Apr 2000 21:15:12 +0200

solfege (0.7.7-1) unstable; urgency=low

  * New development release

 -- Tom Cato Amundsen <tomcato@iname.com>  Fri,  7 Apr 2000 15:19:01 +0200

solfege (0.7.6-1) unstable; urgency=low

  * New development release

 -- Tom Cato Amundsen <tomcato@iname.com>  Sun, 26 Mar 2000 20:40:51 +0200

solfege (0.7.5-1) unstable; urgency=low

  * New development release.

 -- Tom Cato Amundsen <tomcato@iname.com>  Fri, 17 Mar 2000 00:36:33 +0100

solfege (0.7.4) unstable; urgency=low

  * New development release

 -- Tom Cato Amundsen <tomcato@iname.com>  Sun,  5 Mar 2000 23:34:50 +0100

solfege (0.7.3-1) unstable; urgency=low

  * Fix broken upload of 0.7.3

 -- Tom Cato Amundsen <tomcato@iname.com>  Wed, 23 Feb 2000 23:04:36 +0100



=== debian/control ===
Source: solfege
Section: sound
Priority: optional
Maintainer: Tom Cato Amundsen <tca@debian.org>
Build-Depends: swig, gettext, python-dev, debhelper, m4, libgnome-dev, texinfo, python-gnome (>=1.0.50)
Standards-Version: 3.5.1.0

Package: solfege
Architecture: any
Depends: python-gnome (>=1.0.50), python-gtk (>= 0.6.3), python-base (>=1.5.2), ${shlibs:Depends}
Description: Eartraining program for GNOME
 GNU Solfege is an eartraining program for X Window written in python,
 using the GTK+ and GNOME libraries.
 .
 Eartraining is a big subject with many connections to music theory
 and performance of music, so I won't even try to make "a complete
 computerbased eartraining course". But I hope someone find this
 software useful.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2
DEB_HOST_ARCH=`dpkg-architecture -qDEB_HOST_ARCH`

build: build-stamp
build-stamp:
	dh_testdir
ifeq ($(DEB_HOST_ARCH),m68k)
	cp debian/control.m68k debian/control
	./configure --sysconfdir=/etc --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-oss-sound
else
	cp debian/control.standard debian/control
	./configure --sysconfdir=/etc --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
endif
	# Add here commands to compile the package.
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/solfege.
	$(MAKE) install VERSION="" nopycompile=YES prefix=`pwd`/debian/solfege/usr sysconfdir=`pwd`/debian/solfege/etc datadir=`pwd`/debian/solfege/usr/share
	cp debian-solfege.py debian/solfege/usr/bin/solfege
	mkdir -p debian/solfege/usr/X11R6/include/X11/pixmaps
	cp xpm/singintervall24.xpm debian/solfege/usr/X11R6/include/X11/pixmaps/solfege.xpm

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	rm debian/solfege/usr/share/doc/solfege/INSTALL
#	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
	dh_installmanpages
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
	dh_link /usr/share/solfege/online-docs /usr/share/doc/solfege/online-docs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
